package tycho.surefire.problem.chart;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public final class Activator
implements BundleActivator {

	public static synchronized BundleContext getContext() {
		return Activator.context;
	}

	private static synchronized void setContext(final BundleContext bundleContext) {
		Activator.context = bundleContext;
	}

	private static BundleContext	context;

	@Override
	public void start(final BundleContext bundleContext) {
		Activator.setContext(bundleContext);
	}

	@Override
	public void stop(final BundleContext bundleContext) {
		Activator.setContext(null);
	}

}
